Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.lifecycle
Class Evaluator

`java.lang.Object
oracle.adf.controller.lifecycle.Evaluator`

public class Evaluator
extends java.lang.Object

Helper class used by the PageLifecycle to initialize SPEL expression engine. The following scopes are made available:

- data: the top binding context to access all the binding containers.
- bindings: the current binding container for this lifecycle to access all of its bindings.
- requestScope: [Same as JSTL], request attributes.
- param: [Same as JSTL], request parameters.
- paramValues: [Same as JSTL], request parameter values.
- sessionScope: [Same as JSTL], session attributes.

This is used for evaluating custom method's parameters and results.

Since:
  9.0.5

Method Summary
`static void` | `destroy(LifecycleContext lcContext)`
`static Evaluator` | `getEvaluator(LifecycleContext lcContext)`
`java.lang.Object` | `getValue(java.lang.String expression)`
`static void` | `prepareContext(LifecycleContext lcContext)`
`void` | `setValue(java.lang.String expression, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### prepareContext

    public static final void prepareContext(LifecycleContext lcContext)

### getEvaluator

    public static final Evaluator getEvaluator(LifecycleContext lcContext)

### destroy

    public static final void destroy(LifecycleContext lcContext)

### getValue

    public java.lang.Object getValue(java.lang.String expression)

### setValue

    public void setValue(java.lang.String expression,
                         java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.